Page MenuHomePhabricator

Catchable fatal error: Argument 1 passed to FlowHooks::isTalkpageManagerUser() must be an instance of User, null given in /srv/mediawiki/php-1.26wmf18/extensions/Flow/Hooks.php on line 957
Closed, ResolvedPublic

Description

Catchable fatal error: Argument 1 passed to FlowHooks::isTalkpageManagerUser() must be an instance of User, null given in /srv/mediawiki/php-1.26wmf18/extensions/Flow/Hooks.php on line 957

Related Objects

Event Timeline

Reedy created this task.Aug 14 2015, 12:28 PM
Reedy updated the task description. (Show Details)
Reedy raised the priority of this task from to Needs Triage.
Reedy added a subscriber: Reedy.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

We'll need to get the trace to figure out which hook it's coming from. That one is called by three places.

Reedy added a comment.Aug 14 2015, 9:47 PM

I believe there wasn't one listed in logstash when I pulled this out :(

fatals don't have stacktraces...T89169

Change 231700 had a related patch set uploaded (by Mattflaschen):
Add debugging code to detect and workaround type hint failure

https://gerrit.wikimedia.org/r/231700

Change 231700 merged by jenkins-bot:
Add debugging code to detect and workaround type hint failure

https://gerrit.wikimedia.org/r/231700

Based on T108559: While publishing, 'parsererror' is returned, even if publishing succeeds, tags are missing for such articles, one source is most likely coming from BeforeEchoEventInsert, see CX code where we do not specify "agent".

demon triaged this task as Normal priority.Aug 19 2015, 3:52 PM
demon added a subscriber: demon.

Change 232567 had a related patch set uploaded (by Mattflaschen):
Add debugging code to detect and workaround type hint failure

https://gerrit.wikimedia.org/r/232567

Sorry, we missed that getAgent() is allowed to be null. The debugging/workaround patch should prevent any negative symptoms, but is not yet on all WMF wikis. So I've scheduled an evening SWAT to put it on 1.26wmf18 (it is on 1.26wmf19 already).

After that is deployed (or simultaneously), you should be able to re-enable notifications.

Change 232576 had a related patch set uploaded (by Mattflaschen):
Cleanup debugging code for isTalkpageManagerUser

https://gerrit.wikimedia.org/r/232576

That most recent patch (232576) doesn't need to be SWAT-ed.

Change 232567 merged by jenkins-bot:
Add debugging code to detect and workaround type hint failure

https://gerrit.wikimedia.org/r/232567

Catrope set Security to None.

Change 232576 merged by jenkins-bot:
Cleanup debugging code for isTalkpageManagerUser

https://gerrit.wikimedia.org/r/232576

DannyH closed this task as Resolved.Aug 24 2015, 8:37 PM
DannyH added a subscriber: DannyH.